using UnityEngine;
using UnityEngine.SceneManagement;

public class SceneLoader : MonoBehaviour
{
    public void LoadDungeon(int dungeonId)
    {
        Debug.Log($"Loading dungeon: {dungeonId}");
        // Заглушка для загрузки данжа
    }

    public void LoadCity(int districtId, int y, int x)    //+ Exit
    {
        Debug.Log($"Loading city: {districtId}. ({x}, {y})");
        // Заглушка для загрузки карты города
    }

    public void LoadBattle(int battleId)    //+ floor...
    {
        Debug.Log($"Loading battle: {battleId}");
        // Заглушка для загрузки босса
    }

    public void LoadEvent(int EventId, int hz)
    {
        Debug.Log($"Loading event: {EventId} ({EventId + 181}). Hz - {hz}");
        // Заглушка для загрузки скрипта ивента
    }
}